#ifndef DIALOG_H
#define DIALOG_H

#include <QDialog>
#include <QSharedPointer>

#include "data/person.h"

namespace Ui {
class Dialog;
}

class Dialog : public QDialog
{
    Q_OBJECT

public:
    explicit Dialog(QWidget *parent = 0);
    ~Dialog();

    void setData(QSharedPointer<Person> data);

private slots:
    void on_buttonBox_accepted();

private:
    Ui::Dialog *ui;
    QSharedPointer<Person> m_data;
};

#endif // DIALOG_H
